%define with_pspell 1

%{?_with_pspell: %{expand: %%define with_pspell 1}}
%{?_without_pspell: %{expand: %%define with_pspell 0}}

Summary:	A USENET newsreader for GNOME
Name:		pan
Version:	0.121
Release:	1.2007mcnl
Vendor:         Mandrivaclub.nl
Epoch:		1
License:	GPL
Group:		Networking/News
URL:		http://pan.rebelbase.com/
Source0:	http://pan.rebelbase.com/download/releases/%{version}/SOURCE/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %{with_pspell}
BuildRequires:  gtkspell-devel
%endif
BuildRequires:	gtk+2-devel >= 2.0.5
#BuildRequires:	libgnet2-devel >= 2.0.4
BuildRequires:	libgmime-devel
BuildRequires:	pcre-devel
%if %{with_pspell}
Requires: aspell
%endif

%description

This is PAN, a powerful and user-friendly USENET newsreader for GNOME.  
The latest info and versions of Pan can always
be found at http://pan.rebelbase.com/.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure2_5x \
%if %{with_pspell}
 --enable-gtkspell
%else
 --disable-gtkspell
%endif

%make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{name}

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="Networking/News" \
title="Pan" longtitle="Read News from Usenet" \
startup_notify="true"
EOF

#icon
%define  nameicon pan.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png


%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO COPYING 
%attr(755,root,root) %{_bindir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 24 2007 Marco Meijer <marco@mandrivaclub.nl>  1:0.121.2007mcnl
- New release 0.121

* Thu Jan 04 2007 Marco Meijer <marco@mandrivaclub.nl>  1:0.120.2007mcnl
- New release 0.120

* Sat Nov 11 2006 Marco Meijer <marco@mandrivaclub.nl>  1:0.119.2007mcnl
- New release 0.119

* Sun Nov 06 2006 Marco Meijer <marco@mandrivaclub.nl>  1:0.118.2007mcnl
- New release 0.118

* Sun Oct 23 2006 Marco Meijer <marco@mandrivaclub.nl>  1:0.117.2007mcnl
- New release 0.117

* Thu Oct 12 2006 Marco Meijer <marco@mandrivaclub.nl>  1:0.116.2007mcnl
- New release 0.116

* Sun Jun 25 2006 Marco Meijer <marco@mandrivaclub.nl>  1:0.101.2006mcnl
- New release 0.101

* Tue Jun 21 2006 Marco Meijer <marco@mandrivaclub.nl>  1:0.100.2006mcnl
- New release 0.100

* Fri Jun 02 2006 Marco Meijer <marco@mandrivaclub.nl>  1:0.99.2006mcnl
- New release 0.99

* Thu May 25 2006 Marco Meijer <marco@mandrivaclub.nl>  1:0.98.2006mcnl
- New release 0.98

* Sun May 14 2006 Pascal Terjan <pterjan@mandriva.org> 1:0.97-1mdk
- New release 0.97

* Thu May 11 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.96-1mdk
- Release 0.96

* Tue May 02 2006 Pascal Terjan <pterjan@mandriva.org> 1:0.95-1mdk
- New release 0.95

* Sun Apr 23 2006 Pascal Terjan <pterjan@mandriva.org> 1:0.94-1mdk
- 0.94
- Fix sources URL

* Sun Apr 16 2006 Stefan van der Eijk <stefan@eijk.nu> 1:0.93-1mdk
- 0.93
- BuildRequires

* Fri Apr 14 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.92-1mdk
- Release 0.92 (and no Albert, it wasn't dead ;)
- Remove patches 0, 1 (merged upstream), 2 (no longer relevant)

* Wed Sep  7 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.14.2.91-4mdk
- gcc4 fixes

* Wed Feb 23 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14.2.91-3mdk 
- Patch0 (CVS): fix header corruption
- Patch1 (CVS): fix group always empty

* Thu Dec 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14.2.91-2mdk
- startupnotify should be true, not yes

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14.2.91-1mdk
- Release 0.14.2.91
- Remove patch 0 (merged upstream)

* Thu Dec 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14.2.90-2mdk
- Patch0 (CVS): fix scoring when using non-UTF8 locale

* Mon Dec 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14.2.90-1mdk
- Release 0.14.2.90

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14.2-1mdk
- Release 0.14.2

* Thu Aug 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14.1-1mdk
- Release 0.14.1 (stable)

* Thu Aug 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14.0.96-1mdk
- Release 0.14.0.96

* Tue Aug 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.14.0.95-1mdk
- Release 0.14.0.05

* Tue Aug  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:0.14.0.94-1mdk
- Release 0.14.0.94
- Remove patch0 (merged upstream)

* Thu Jul 31 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:0.14.0.93-1mdk
- Release 0.14.0.93
- Switching to gnet2
- Patch0: fix handling of BROWSER variable (bug #4418)

* Tue Jul 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:0.14.0.92-1mdk
- Release 0.14.0.92

* Thu Jul 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:0.14.0.91-1mdk
- Release 0.14.0.91

* Tue Jul  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:0.14.0.90-1mdk
- Release 0.14.0.90

* Mon May 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:0.14.0-1mdk
- Release 0.14.0

* Sat Apr 26 2003 Stefan van der Eijk <stefan@eijk.nu> - 1:0.13.96-1mdk
- Release 0.13.96

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:0.13.95-1mdk
- Release 0.13.95

* Wed Apr 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:0.13.94-1mdk
- Release 0.13.94

* Wed Apr  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:0.13.93-1mdk
- Release 0.13.93

* Thu Feb 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:0.13.4-1mdk
- Release 0.13.4

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:0.13.3.93-1mdk
- Release 0.13.3.83

* Mon Feb 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:0.13.3.92-1mdk
- Release 0.13.3.92

* Sun Feb  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:0.13.3.91-1mdk
- Release 0.13.3.91

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:0.13.3.90-1mdk
- Release 0.13.3.90

* Tue Dec 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1:0.13.3-1mdk
- Release 0.13.3

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1:0.13.2.93-1mdk
- Release 0.13.2.93

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1:0.13.2.92-1mdk
- Release 0.13.2.92
- Enable startup_notify

* Fri Dec  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1:0.13.2.91-1mdk
- Release 0.13.2.91

* Fri Nov 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.2.90-1mdk
- Release 0.13.2.90 (oops, missed 0.13.2)

* Mon Nov  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.1-1mdk
- Release 0.13.1
- Remove patch0 (merged upstream)

* Fri Aug 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.0-2mdk
- Patch0: fix crash when sending messages using smtp & news

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.0-1mdk
- Release 0.13.0
- Disable spellcheck support for now, it not configurable enough

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.12.94-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Aug 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.94-1mdk
- Release 0.12.94

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.93-1mdk
- Release 0.12.93

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.92-1mdk
- Release 0.12.92

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1

* Wed Jun 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.0-1mdk
- Release 0.12.0
- Remove patch0 (merged upstream)

* Thu Jun 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.94-2mdk
- Patch0 (CVS): fix groups access

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.94-1mdk
- Release 0.11.94

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.93-1mdk
- Release 0.11.93
- Remove patch0 (merged upstream)

* Fri May 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.92-2mdk
- Patch0 (CVS): fix empty message sent when text is not full 7bit ASCII

* Fri May 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.92-1mdk
- Release 0.11.92

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.91-1mdk
- Release 0.11.91 (GNOME 2)
- Remove patch0 (should no longer be needed)

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.3-1mdk
- Release 0.11.3

* Tue Apr  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2.91-1mdk
- Release 0.11.2.91

* Tue Mar 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2.90-1mdk
- Release 0.11.2.90

* Fri Feb  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-1mdk
- Release 0.11.2

* Wed Feb 06 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.11.1.94-2mdk
- Patch 0 : Use fontset by default.
- Use fontset so that we have other languages's fonts by default.

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1.94-1mdk
- Release 0.11.1.94
- Unbipped png files

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11.1.92-2mdk
- xpm -> png icons

* Mon Jan 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1.92-1mdk
- release 0.11.1.92

* Tue Jan 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1.91-1mdk
- Release 0.11.1.91

* Tue Jan  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1.90-2mdk
- Fix build requires

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1.90-1mdk
- Release 0.11.1.90

* Wed Dec  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-1mdk
- Release 0.11.1

* Tue Nov 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0.92-1mdk
- Release 0.11.0.92

* Wed Nov 21 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.11.0.91-1mdk
- release 0.11.0.91

* Fri Nov 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.11.0.90-1mdk
- release 0.11.0.90 (should fix a few bugs)

* Wed Nov 03 2001 Denis Pelletier <denis.pelletier@umontreal.ca> 0.11.0-1mdk
- new version

* Wed Oct 17 2001 Stefan van der Eijk <stefan@eijk.nu> 0.10.0.91-2mdk
- fix BuildRequires

* Thu Oct  4 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.10.0.91-1mdk
- new version

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-6mdk
- Recompiled against libgtkhtml16

* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.10.0-5mdk
- rebuild including latest translations

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-4mdk
- Recompiled against libgtkhtml15

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-3mdk
- Fix description

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-2mdk
- Recompiled against libgal11

* Fri Aug 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-1mdk
- Release 0.10.0
- Parallel compilation is back

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-4mdk
- Recompiled against latest gtkhtml/gal

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-3mdk
- Recompiled against latest gtkhtml/gal

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-2mdk
- Recompiled against latest gtkhtml/gal

* Fri Jun  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-1mdk
- Release 0.9.7
- Disable parallel compilation (broken)

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.6-2mdk
- Recompiled against latest gtkhtml

* Tue Mar 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.6-1mdk
- new version

* Mon Mar 12 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-1mdk
- new version
- added libunicode-devel and libgal-devel buildrequires

* Mon Feb 26 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.4-1mdk
- new version

* Mon Feb 12 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.3-1mdk
- new version 0.9.3
- updated urls

* Mon Dec  4 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.2-1mdk
- new version
- readded .desktop
- added pixmaps

* Mon Oct 23 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.1-1mdk
- new version 0.9.1 (donesn't need libunicode anymore)

* Thu Oct 12 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9-1mdk
- 0.9 version

* Tue Oct 03 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.1-0.7mdk
- new version (beta 6) with bug fixes and new features

* Fri Sep 15 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.1-0.6mdk
- new version (beta 5) with more bug fixes

* Tue Sep 12 2000  Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.1-0.5mdk
- new version (beta 4) with many bug fixes

* Tue Aug 29 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.1-0.4mdk
- turned icons into xpm
- added packager entry

* Thu Aug 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.1-0.3mdk
- new version (beta 3)
- menu entry inside spec file
- further macroszification
- changed locales handling (uses macros)
- added icons

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.1-0.2mdk
- automatically added BuildRequires


* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.1-0.1mdk
- new release
- use new macros
- add more locales

* Wed Jun 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.0-1mdk
- new release
- use new chmou tools
- add a serial because of beta in version

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 0.8.0beta2-1mdk
- Updated to 0.8.0beta2

* Sun Feb 27 2000 Giuseppe Ghib�<ghibo@mandrakesoft.com>
- updated to version 0.7.6.
- added BuildPreReq things.

* Fri Feb 11 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- v 0.7.5

* Tue Feb 08 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- v 0.7.4

* Mon Dec 06 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v 0.6.5
- fix location of files
- added CFLAGS en CXXFLAGS

* Wed Dec 1 1999 Charles Kerr <charles@skywalker.ecn.ou.edu>
- added "-ggdb3" to CFLAGS so that it'll be easier to read backtraces
  submitted in bug reports

* Thu Nov 4 1999 Jason Leach <leach@wam.umd.edu>
- added gtk+-1.2.6 requirement (1.2.3 definitely breaks, might as well
  make it newest gtk+)

* Tue Nov 2 1999 Jason Leach <leach@wam.umd.edu>
- made .spec.in file to auto-generate .spec

* Sat Sep 25 1999 Leland Elie <lelie@airmail.net>
- created spec file.

